/**
 * Created by AlexanderC on 6/10/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingResourceException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when requested resource not found
 */
class MissingResourceException extends _Exception.Exception {
  /**
   * @param {String} microserviceIdentifier
   * @param {String} resourceIdentifier
   */
  constructor(microserviceIdentifier, resourceIdentifier) {
    super(`Missing resource ${resourceIdentifier} in ${microserviceIdentifier}`);
  }
}
exports.MissingResourceException = MissingResourceException;