/**
 * Created by AlexanderC on 6/10/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnknownMethodException = undefined;

var _Exception = require('../../Exception/Exception');

/**
 * Thrown when requested method is missing from allowed vector
 */
class UnknownMethodException extends _Exception.Exception {
  /**
   * @param {String} requestedMethod
   * @param {Array} availableMethods
   */
  constructor(requestedMethod, availableMethods) {
    let availableList = availableMethods.join(', ');

    super(`Requested method ${requestedMethod} must be one of ${availableList}`);
  }
}
exports.UnknownMethodException = UnknownMethodException;