/**
 * Created by AlexanderC on 1/25/16.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidationError = undefined;

var _Exception = require('../../Exception/Exception');

class ValidationError extends _Exception.Exception {

  /**
   * @param {String} annotation
   * @param {{message:*,path:*,type:*,context:*}[]} validationErrors
   */
  constructor(annotation, validationErrors) {
    super(`Payload validation failed: ${annotation}`);

    this._validationErrors = validationErrors;
  }

  /**
   * @returns {{message:*,path:*,type:*,context:*}[]}
   */
  get validationErrors() {
    return this._validationErrors;
  }
}
exports.ValidationError = ValidationError;