/**
 * Created by CCristi on 11/14/16.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomStrategy = undefined;

var _AbstractStrategy = require('./AbstractStrategy');

class CustomStrategy extends _AbstractStrategy.AbstractStrategy {
  /**
   * @param {Function} onError
   * @param {Function} onSuccess
   */
  constructor(onError = () => false, onSuccess = () => false) {
    super();

    this._onErrorCb = onError;
    this._onSuccessCb = onSuccess;
  }

  /**
   * @param {Response} response
   * @returns {*}
   */
  onSuccess(response) {
    return this._onSuccessCb(response);
  }

  /**
   * @param {Response} response
   * @returns {*}
   */
  onError(response) {
    return this._onErrorCb(response);
  }
}
exports.CustomStrategy = CustomStrategy;